################################################################################
# Licensed Materials - Property of IBM Copyright IBM Corporation 2012. All Rights Reserved.
# U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
# Schedule Contract with IBM Corp.
################################################################################
createParms = {}

# get name for new virtual system
createParms['name'] = 'Devops System'


# pattern to deploy
pattern = deployer.patterns['Devops Server 2']
createParms['pattern'] = pattern[0]

############Todo discuss ###########
cloud = deployer.clouds['FIT Cloud Group']

createParms['cloud'] = cloud[0]


# set passwords
createParms['*.ConfigPWD_ROOT.password'] = 'password'
createParms['*.ConfigPWD_USER.password'] = 'password'


# loop to let user enter additional property/parameter values
virtualSystem = None
while not virtualSystem:
    try:
        virtualSystem = deployer.virtualsystems << createParms
    except ValueError, ve:
        print str(ve)
        key = raw_input('additional property/parameter key: ')
        createParms[key] = raw_input('value for \'%s\': ' % key)

print 'virtual system created:\n%s' % virtualSystem
